| Visioscan Set SDK Libraries 1.0.28 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
UsbInformation Class Reference

The USB information encapsulation. More...

`#include <UsbInformation.h>`

## Public Member Functions
unsigned int | GetBusNumber ()
void | SetBusNumber (unsigned int pBusNumber)
unsigned int | GetDeviceAddress ()
void | SetDeviceAddress (unsigned int pDeviceAddress)
unsigned int | GetVendorId ()
void | SetVendorId (unsigned int pVendorId)
unsigned int | GetProductId ()
void | SetProductId (unsigned int pProductId)
string | GetSpeed ()
void | SetSpeed (string pSeed)
string | GetManufacturer ()
void | SetManufacturer (string pManufacturer)
string | GetProductDescription ()
void | SetProductDescription (string pProductDescription)
string | GetSerialNumber ()
void | SetSerialNumber (string pSerialNumber)

## Detailed Description

The USB information encapsulation.

## Member Function Documentation

## ◆ GetBusNumber()

unsigned int UsbInformation::GetBusNumber | ( |  | ) |

## ◆ GetDeviceAddress()

unsigned int UsbInformation::GetDeviceAddress | ( |  | ) |

## ◆ GetManufacturer()

string UsbInformation::GetManufacturer | ( |  | ) |

## ◆ GetProductDescription()

string UsbInformation::GetProductDescription | ( |  | ) |

## ◆ GetProductId()

unsigned int UsbInformation::GetProductId | ( |  | ) |

## ◆ GetSerialNumber()

string UsbInformation::GetSerialNumber | ( |  | ) |

## ◆ GetSpeed()

string UsbInformation::GetSpeed | ( |  | ) |

## ◆ GetVendorId()

unsigned int UsbInformation::GetVendorId | ( |  | ) |

## ◆ SetBusNumber()

void UsbInformation::SetBusNumber | ( | unsigned int | pBusNumber | ) |

## ◆ SetDeviceAddress()

void UsbInformation::SetDeviceAddress | ( | unsigned int | pDeviceAddress | ) |

## ◆ SetManufacturer()

void UsbInformation::SetManufacturer | ( | string | pManufacturer | ) |

## ◆ SetProductDescription()

void UsbInformation::SetProductDescription | ( | string | pProductDescription | ) |

## ◆ SetProductId()

void UsbInformation::SetProductId | ( | unsigned int | pProductId | ) |

## ◆ SetSerialNumber()

void UsbInformation::SetSerialNumber | ( | string | pSerialNumber | ) |

## ◆ SetSpeed()

void UsbInformation::SetSpeed | ( | string | pSeed | ) |

## ◆ SetVendorId()

void UsbInformation::SetVendorId | ( | unsigned int | pVendorId | ) |

The documentation for this class was generated from the following files:

- UsbInformation.h
- UsbInformation.cpp